%define cvsdate 20050306

Name: lamip
Version: 0.0.2
Release: alt0.1.%cvsdate

Summary: Audio player
License: GPL
Group: Sound

Url: http://fondriest.frederic.free.fr/realisations/lamip

Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %url/files/src/testing/%{name}_%cvsdate.tar.bz2

# Automatically added by buildreq on Sat Mar 12 2005
BuildRequires: hostinfo

%description
LAMIP is Linux Audio Multiply Interface Player.

LAMIP is a hightly modularized application whose purpose is to listen
audio files on your favorite *nix box. Its goal is to listen to audio
files with any library that exist on the end-user's system in a portable
and modular manner. The aim of this modularity is to allow users freedom
in how the components of LAMIP are put together. On small systems, LAMIP
can be driven by the command line. If a graphical interface is preferred
(via X Window, curses, or something else), a control plugin utilizing
virtually any graphical library can be written.

%package devel
Summary: LAMIP development files
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains header files and documentation for writing
plugins for LAMIP.

%prep
%setup -q -n %name

%build
autoreconf -vifs
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot/%_datadir/%name

%files
%_bindir/*
%doc NEWS README AUTHORS ChangeLog
%dir %_datadir/%name

%files devel
%_includedir/lamip

%changelog
* Sun Mar 13 2005 Andrey Astafiev <andrei@altlinux.ru> 0.0.2-alt0.1.20050306
- First version of RPM package for Sisyphus.
fondriest.frederic.free.fr/realisations/lamip
